wayland::server::xdg_positioner_constraint_adjustment(3)

NAME
wayland::server::xdg_positioner_constraint_adjustment - constraint adjustments

SYNOPSIS

#include <wayland-server-protocol-extra.hpp>

Inherits wayland::detail::bitfield< size, id >.

Detailed Description

constraint adjustments

The constraint adjustment value define ways the compositor will adjust the position of the surface, if the unadjusted position would result in the surface being partly constrained.

Whether a surface is considered 'constrained' is left to the compositor to determine. For example, the surface may be partly outside the compositor's defined 'work area', thus necessitating the child surface's position be adjusted until it is entirely inside the work area.

The adjustments can be combined, according to a defined precedence: 1) Flip, 2) Slide, 3) Resize.

Definition at line 1029 of file wayland-server-protocol-extra.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.